Skip to content

POST /sonolus/{type}/upload ​

/sonolus/{type}/upload allows Sonolus app to upload files when creating an item.

URL Parameters ​

URL ParameterValueDescription
typestringposts, playlists, levels, skins, backgrounds, effects, particles, engines, or replays.

Query Parameters ​

Query ParameterValueDescription
localizationstringSee localization.
Configuration OptionsanySee Options Query Parameters.

Request Headers ​

HeaderValueDescription
Sonolus-SessionstringOptional, see Sonolus-Session.
Sonolus-Upload-KeystringSee POST /sonolus/{type}/create.

Request Body ​

multipart/form-data encoded data with files field.

Response Code ​

CodeDescription
200 OK
401 UnauthorizedAuthentication required or expired.

Response Headers ​

HeaderValueDescription
Sonolus-VersionstringOptional, see Sonolus-Version.

Response Body ​

ts
type ServerUploadItemResponse = {
    shouldUpdateInfo?: boolean
    shouldNavigateToItem?: string
}

Examples ​

json
{}